summaryrefslogtreecommitdiffstats
path: root/system/geoclue
diff options
context:
space:
mode:
author Matteo Bernardini2012-09-04 20:04:28 +0200
committer Robby Workman2012-09-06 03:12:20 +0200
commitc528a862f4edc24fc05785b9e6802cc1719c426d (patch)
treed4012caf24a4508c758e4f564483c5311d4d9976 /system/geoclue
parent76660459f35f86054e1573bde61b7cc9fe94d8f3 (diff)
downloadslackbuilds-c528a862f4edc24fc05785b9e6802cc1719c426d.tar.gz
system/geoclue: Added (geoinformation service)
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'system/geoclue')
-rw-r--r--system/geoclue/README9
-rw-r--r--system/geoclue/geoclue.SlackBuild84
-rw-r--r--system/geoclue/geoclue.info10
-rw-r--r--system/geoclue/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/system/geoclue/README b/system/geoclue/README
new file mode 100644
index 0000000000..71e8911bd9
--- /dev/null
+++ b/system/geoclue/README
@@ -0,0 +1,9 @@
+geoclue (geoinformation service)
+
+Geoclue is a modular geoinformation service built on top of the D-Bus
+messaging system. The goal of the Geoclue project is to make creating
+location-aware applications as simple as possible.
+Geoclue defines a set of geoinformation APIs, but it also includes
+some providers that implement those APIs.
+
+gpsd is an optional dependency.
diff --git a/system/geoclue/geoclue.SlackBuild b/system/geoclue/geoclue.SlackBuild
new file mode 100644
index 0000000000..91fcf5a188
--- /dev/null
+++ b/system/geoclue/geoclue.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for geoclue
+# Written by Matteo Bernardini <ponce@slackbuilds.org>
+
+PRGNAM=geoclue
+VERSION=${VERSION:-0.12.99}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS ChangeLog COPYING NEWS README"
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --enable-gtk=yes \
+ --enable-networkmanager=yes \
+ --enable-skyhook=yes \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/geoclue/geoclue.info b/system/geoclue/geoclue.info
new file mode 100644
index 0000000000..481befbaa6
--- /dev/null
+++ b/system/geoclue/geoclue.info
@@ -0,0 +1,10 @@
+PRGNAM="geoclue"
+VERSION="0.12.99"
+HOMEPAGE="http://geoclue.freedesktop.org/"
+DOWNLOAD="http://freedesktop.org/~hadess/geoclue-0.12.99.tar.gz"
+MD5SUM="779245045bfeeec4853da8baaa3a18e6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Matteo Bernardini"
+EMAIL="ponce@slackbuilds.org"
diff --git a/system/geoclue/slack-desc b/system/geoclue/slack-desc
new file mode 100644
index 0000000000..44e2c552c2
--- /dev/null
+++ b/system/geoclue/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+geoclue: geoclue (geoinformation service)
+geoclue:
+geoclue: Geoclue is a modular geoinformation service built on top of the D-Bus
+geoclue: messaging system. The goal of the Geoclue project is to make creating
+geoclue: location-aware applications as simple as possible.
+geoclue: Geoclue defines a set of geoinformation APIs, but it also includes
+geoclue: some providers that implement those APIs.
+geoclue:
+geoclue: homepage: http://geoclue.freedesktop.org/
+geoclue:
+geoclue: